Subject: Re: Endianness..

From: Patrick Mackinlay <[email-masked]>
Date: Fri, 25 Jun 1993 23:15:19 +0800 (WST)

>I favor big endian for the mips project for two reasons:

Count me as another vote for big endian. I'd like a hardware configuration
option too though (just in case <grin>).

>I agree that an ISA bus would be neat and allow us to put lots of 
>clone cards in the system, but I could live even without this.

I used to think that we could do without any sort of I/O expansion bus,
but it does mean that you have to put _everything_ on the motherboard,
including disgusting things like floppy controllers. If we can do an
ISA interface (anyone have any ideas on how to do this yet?) without
affecting the overall price too much, I'd say go for it. If not, rip
it off and use Steve's simpler design. This will mean that we have to
make our own cards, but they won't be difficult, and it will keep the
cost of the whole machine down.

Basically, assuming we have video, SCSI and Ethernet on the motherboard,
the only things needed on the expansion bus will be a floppy interface,
more serial ports (?), a sound chip and anything else anyone decides
they want. I actually think Steve's I/O bus is a better way to go at
this stage, and will probably continue to think so until someone comes
up with a reasonable solution to doing a cheap ISA bus. Steve, perhaps
you could mail your bus spec to the list? Feel confident enough about
it <grin>?

Pat -- "There's only one thing left to do Mama, I got to ding a ding dang
	my dang a long ling long" (Jesus Built My Hotrod -- Ministry)
GCS d* -p+ c++ l++ m--- s+/- !g w- t- r